sayren Docs
내 정보

찜 목록 조회

GET
/storefront/v1/me/wishlist

Authorization

headerAuthorizationBearer <token>

회원 accessToken

Query Parameters

page*string
size*string

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/storefront/v1/me/wishlist?page=string&size=string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "productId": "string",        "productNo": null,        "name": "string",        "thumbnailUrl": "http://example.com",        "salePrice": 0,        "discountedPrice": 0,        "discountRate": 0,        "originalPrice": null,        "freeShipping": true,        "fulfillment": {          "type": "string",          "requiresShipping": true        },        "averageRating": 0,        "reviewCount": 0,        "soldOut": true      }    ]  },  "error": null}